Al momento sei offline in attesa che la connessione Internet venga ristabilita

FIX: Messaggio di errore "Impossibile trovare ISAM installabile" dopo aver installato versioni localizzate di Visual Basic 6.0 Service Pack 4 e Service Pack 5

Questo articolo è stato precedentemente pubblicato con il codice di riferimento I273458
Sintomi
Se in Visual Basic 6.0, con Visual Studio 6.0 Service Pack 4 (SP4) o Visual Studio 6.0 Service Pack 5 (SP5) installato, si compila e si esegue un programma localizzato contenente un controllo Dati intrinseco con la proprietà DatabaseName impostata su un database di Microsoft Access 2000, viene visualizzato il seguente messaggio di errore:
Impossibile trovare ISAM installabile.
Il problema non si verifica nell'ambiente di sviluppo integrato (IDE).

Questo problema si verifica solo nelle versioni localizzate di Microsoft Windows e Visual Basic, ma può essere determinato da cause estremamente diverse. Per ulteriori informazioni, fare clic sui numeri degli articoli della Microsoft Knowledge Base riportati di seguito:
209805 Durante l'importazione, l'esportazione o il collegamento di file in Access 2000 viene visualizzato il messaggio di errore "Impossibile trovare ISAM installabile" o alcuni tipi di file risultano mancanti
257819 HOW TO: Utilizzare ADO con dati di Excel da Visual Basic o VBA
Cause
Visual Studio 6.0 SP4 e Visual Studio 6.0 SP5 non sono stati forniti con le DLL contenenti le risorse localizzate per Microsoft Access 2000, quali ad esempio il file vb6it.dll per la versione in lingua italiana. Di conseguenza il programma localizzato compilato carica la versione di Visual Studio Service Pack 3 (SP3) di queste DLL e visualizza il messaggio di errore descritto nella sezione "Sintomi" di questo articolo.

Il programma funziona correttamente nell'ambiente IDE, in quanto IDE (VB6.exe) utilizza un file VB6IDE.dll localizzato incluso in Visual Studio 6.0 SP4 e in Visual Studio 6.0 SP5.
Status
Microsoft ha confermato che questo problema si verifica con i prodotti elencati nella sezione "Si applica a...".

Questo errore è stato risolto nel service pack più recente di Microsoft Visual Studio 6.0. Per scaricare la versione più recente di service pack per Visual Studio 6.0, visitare il seguente sito Web di Microsoft (informazioni in lingua inglese):
vb6it VB6 VB6IDE
Proprietà

ID articolo: 273458 - Ultima revisione: 01/04/2007 08:26:39 - Revisione: 5.0

  • Microsoft Visual Studio 6.0 Service Pack 4
  • Microsoft Visual Studio 6.0 Service Pack 5
  • Microsoft Visual Basic 6.0 Enterprise Edition
  • Microsoft Visual Basic 6.0 Professional Edition
  • kbvs600sp6fix kbbug kbfix KB273458
Feedback